RK-A2 - Feature #3715

Ensure user gets detailed QNAs and answer to any question if their answer is incorrect
08/29/2024 11:11 AM - Ram Kordale

Status: Closed Start date: 08/29/2024
Priority: Immediate Due date:

Assignee: Ayanava Karmakar % Done: 100%
Category: Estimated time: 0.40 hour
Target version: Spent time: 0.00 hour
Description

Suppose user's answer is not correct. If the current question does not have detailed QNAs and answer, the next question to ask
should be the same question in standard style. This is because we will guarantee that the standard style question will have
detailedQNAs and detailedAnswer.

although all standard style questions must have detailed QNAs, since there is no automated check, it is best to not get stuck in a
loop. if there is no detailed gna and the current question is of standard style, move on to the next question according to the usual
style selection algo.

PS: For now, user's answer is correct only if it is an exact match. We will relax this later.

History

#1 - 08/30/2024 04:58 AM - Ram Kordale
- Assignee set to Shubham Boke

- Estimated time set to 0.40 h

#2 - 08/30/2024 05:02 AM - Shubham Boke
- Status changed from New to In Progress

- % Done changed from 0 to 100

#3 - 09/02/2024 01:31 PM - Ram Kordale

- Description updated

#4 - 09/04/2024 06:23 AM - Shubham Boke

- Status changed from In Progress to Resolved

#5 - 09/04/2024 06:23 AM - Shubham Boke
- Status changed from Resolved to Review

- Assignee changed from Shubham Boke to Dewakar Chaubey

#6 - 09/04/2024 06:24 AM - Dewakar Chaubey

- Assignee changed from Dewakar Chaubey to Ayanava Karmakar

#7 - 09/25/2024 08:34 AM - Ram Kordale

- Status changed from Review to Closed

03/13/2025 1/1



http://www.tcpdf.org

